Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Eclipse 4 » e4 Eclipse DI vs. e3 compatibility Mode
e4 Eclipse DI vs. e3 compatibility Mode [message #1171395] Tue, 05 November 2013 07:48 Go to next message
Jack Kilian is currently offline Jack Kilian
Messages: 36
Registered: March 2012
Member
Hi,

following scenario:

When I plan to migrate an e3 RCP application to the e4 platform I think it make sense to run it in the "Compatibility Mode".

Another task I have to do is to replace an outdated persistency layer with one of the JPA2 providers.
So my plan is to use Eclipse4 DI to develop the new service layer including the new persistency layer.

I know that it is not possible to use the DI framework in e3 related views....or is it?

But...it would be nice to be ready for the future Smile. Then it is a necessity to develop all parts that are possible on the e4 platform.

BTW: The alternative is to use spring instead of Eclipse DI...but we know...this should not be the favorite when using e4 Razz

index.php/fa/16658/0/

best regards
jk

[Updated on: Tue, 05 November 2013 07:50]

Report message to a moderator

Re: e4 Eclipse DI vs. e3 compatibility Mode [message #1171448 is a reply to message #1171395] Tue, 05 November 2013 08:31 Go to previous message
Sopot Cela is currently offline Sopot Cela
Messages: 597
Registered: December 2010
Senior Member

Would this help? http://industrial-tsi-wim.blogspot.nl/
Previous Topic:Eclipse Kepler constantly freezes
Next Topic:Restarting RCP application
Goto Forum:
  


Current Time: Thu Sep 18 09:54:19 GMT 2014

Powered by FUDForum. Page generated in 0.16182 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software